Subject: Re: package status report (b19)
From: [email-masked] (Wei Ku)

9 Mar 1998 15:40:52 -0800
Message-ID: <[email-masked]>
Reply-To: "Wei Ku" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Michael Hirmke" <[email-masked]>, "gnu-win32" <[email-masked]>

Hi, all:

I spent some time this weekend to upgrade to b19 and port several small
utilities. The following is the list of success port absent in Mr. Hirmke's
update list:

------------------------< snip snip snip >-----------------------------
[to build termcap 1.3 with b19]

0. gunzip termcap-1.3.tar; tar -xvf termcap-1.3.tar; cd termcap-1.3
1. ./configure
2. change in Makefile:
   add -D_STRICT_ANSI in DEFS so that it looks like
   DEFS =  -D_STRICT_ANSI -DHAVE_STRING_H=1 ...( omitted )
3. make
4. mkdir /usr/include; mkdir /usr/lib
5. make include
6. cd ..; rm -r termcap-1.3.tar termcap-1.3

------------------------< snip snip snip >-----------------------------
[to build Ghostview]

0. tar -xzvf ghostview-1.5.tar.gz; cd ghostview-1.5
1. xmkmf
2. change in file Dir.c ( comment several lines):
/*
#if defined(SVR4) || defined(SYSV) || defined(USG) || defined(__osf__)
*/

#include <dirent.h>

/*
#else */ /* defined(SVR4) || defined(SYSV) || defined(USG) */ /*
#include <sys/dir.h>
#define dirent direct
#endif */ /* defined(SVR4) || defined(SYSV) || defined(USG) */ /*
*/

3. make
4. make install
5. cd..; rm ghostview-1.5

I hope this is of some use.

Hirmke, do you mind putting them into your update list ? I find your UPD
list very useful.

By the way, I can not find the source code of ncurse-4.1 but only
ncurse-4.2. The compilation failed with the process in your list. The error
is related to one missing file. I may have time to get through it next
weekend.

Sincerely,
Wei Ku

-----Original Message-----
From: Michael Hirmke <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Wednesday, March 04, 1998 3:28 AM
Subject: UPD: package status report (b19)

>Hi *,
>
>this is an updated status report for packages compiled
>with *Cygnus CDK B19*.
>Feel free to send me a similar report for packages you've compiled and
>I'll add them to this list.
>
>------------------------< snip snip snip >-----------------------------
>
>*groff-1.10*
>
>  - system
>    - Windows NT4 German / SP3
>
>  - preliminaries
>    - none
>
>  - configure
>    - works without changes
>
>  - make
>    - works without changes
>
>  - make install
>    - works without changes
>
>  - notes
>    - none
>
>  - contributed by
>    - [email-masked] (Michael Hirmke)
>
>------------------------< snip snip snip >-----------------------------
>
>*less-321*
>
>  - system
>    - Windows NT4 German / SP3
>
>  - preliminaries
>    - replace all "iprintf" in "output.c" with a different,
>      but unique name, for example "less_iprintf"
>
>  - configure
>    - works without changes
>
>  - make
>    - works without changes
>
>  - make install
>    - works without changes
>
>  - notes
>    - none
>
>  - contributed by
>    - [email-masked] (Michael Hirmke)
>
>------------------------< snip snip snip >-----------------------------
>
>*ncurses-4.1*
>
>  - system
>    - Windows NT4 German / SP3
>
>  - preliminaries
>    - /bin/sh has to be bash, not ash
>      - umount /bin (if mounted)
>      - cp <cygnus>/bash.exe /bin/sh.exe
>
>  - configure
>    - works without changes
>
>  - make
>    - works without changes
>
>  - make install
>    - works without changes
>
>  - notes
>    - none
>
>  - contributed by
>    - [email-masked] (Michael Hirmke)
>
>------------------------< snip snip snip >-----------------------------
>
>*recode-3.4.1-7*
>
>  - system
>    - Windows NT4 German / SP3
>
>  - preliminaries
>    - none
>
>  - configure
>    - works without changes
>
>  - make
>    - "make recode" is necessary, if you don't have texinfo
>      installed, but otherwise
>    - works without changes
>
>  - make install
>    - works without changes
>
>  - notes
>    - make for recode-3.4.1 (without -7) does *not* work
>
>  - contributed by
>    - [email-masked] (Michael Hirmke)
>
>------------------------< snip snip snip >-----------------------------
>
>*rcs-5.7*
>
>  - system
>    - ???
>
>  - preliminaries
>    - in src/conf.sh line 1039 change has_mmap=1 to has_mmap=0
>    - in src/Makefile change line 90 to look like x = .exe
>
>  - make
>    - works without changes
>
>  - make install
>    - works without changes
>
>  - notes
>    - Is is a cygnus bug or an rcs problem that we have to turn off
>      the mmap feature?
>
>  - contributed by
>    - [email-masked]  (Erwin Achermann)
>
>------------------------< snip snip snip >-----------------------------
>
>*uucp-1.06.1*
>
>  - system
>    - Windows NT4 German / SP3
>
>  - preliminaries
>    - none
>
>  - configure
>    - works without changes
>
>  - make
>    - works without changes
>
>  - make install
>    - works without changes
>
>  - notes
>    - none
>
>  - contributed by
>    - [email-masked] (Michael Hirmke)
>
>------------------------< snip snip snip >-----------------------------
>
>Bye.
>Michael.
>--
>Michael Hirmke           | Telefon +49 (911) 557999
>Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
>90489 Nuernberg          | E-Mail  mailto: [email-masked]
>                         | WWW     http://minimike.franken.de/
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".